	real v(120),a(120)
	character out*4
	call ieopen(1,'gpib1')
	call egstatus(ibsta,iberr,iegerr,ibcntrl)
	print*,ibsta,iberr,iegerr,ibcntrl
	open(unit=10,file='VI.dat')
	print*,'enter Vmin,Vmax,N'
	read*,Vmin,Vmax,n
	call IEk2400init(1,11,1.,.35)
	call IEk2400status(1,11,out)
	print*,out

	call IEk2400sweepV(1,11,0,Vmin,Vmax,n,v,a)
c	IEk2400sweepV(iunit,iadd,imode,V0,V1,n,v,a)

	do i=1,n
		write(10,*)v(i),a(i),eVk2400(v(i),0),eAk2400(a(i),0)
		print*,v(i),a(i)
	enddo
	call IEk2400off(1,11)
	call ieclose(1)
	close(10)
	end

